*** Release Notes ***

This is diva-r09210 corresponding to OpenSim 0.9.2.1. This 
is a major release of OpenSim.

** Changes in OpenSim since last release

- See http://opensimulator.org/wiki/0.9.2.1_Release

NOTE: The default script engine of OpenSim is now YEngine

If you are upgrading from 0.8.1.* please see release notes below for r08200

** Changes in D2 configurations

- None

** Changes in Wifi

- None


===================== Older release notes ====================

==== r00911 ====

This is diva-r09110 corresponding to OpenSim 0.9.1.1. This 
is a major release of OpenSim.

** Changes in OpenSim since last release

- See http://opensimulator.org/wiki/0.9.1.1_Release

If you are upgrading from 0.8.1.* please see release notes below for r08200

** Changes in D2 configurations

- None

** Changes in Wifi

- None

==== r00910 ====

This is diva-r09100 corresponding to OpenSim 0.9.1.0. This 
is a major release of OpenSim.

** Changes in OpenSim since last release

- See http://opensimulator.org/wiki/0.9.1.0_Release

If you are upgrading from 0.8.1.* please see release notes below for r08200

** Changes in D2 configurations

- None

** Changes in Wifi

- None


==== r00900 ====

This is diva-r09000 corresponding to OpenSim 0.9.0.0. This 
is a major release of OpenSim.

** Changes in OpenSim since last release

- See http://opensimulator.org/wiki/0.9.0.0_Release

If you are upgrading from 0.8.1.* please see release notes below for r08200

** Changes in D2 configurations

- None

** Changes in Wifi

- None

==== r08210 ====

This is diva-r08210 corresponding to OpenSim 0.8.2.1. This 
is a major release of OpenSim.

** Changes in OpenSim since last release

- See http://opensimulator.org/wiki/0.8.2.1_Release

If you are upgrading from 0.8.1.* please see release notes below for r08200



==== r08200 ====

This is diva-r08200 corresponding to OpenSim 0.8.2.0. This 
is a major release of OpenSim.

** Changes in OpenSim since last release

- See http://opensimulator.org/wiki/0.8.2.0_Release

IMPORTANT

- Please issue this command in your DB:
  update os_groups_roles set Powers ='351843720888318' where Powers='349644697632766'

** Changes in D2 configurations

- None

** Changes in Wifi

- added an option to ignore certificate verification. 
  BypassCertificateVerification = true | false, false by default

- added Portuguese-Brazilian translation (thanks Melanie)

- Now the server-side can impose a front end language without relying on the users' browser settings.
  See FrontendLanguage in ini

- UserDocsPath is now configurable

==== r25950 ====

This is diva-r25950 corresponding to OpenSim 0.8.1 (post-fixes). This 
is a very minor release containing one major bug fix on HG asset transfers.

** Changes in OpenSim since last release

- fixed a regression bug introduced back in October, where the 
  prefix and name space were being added twice on HG asset posts 
  by simulators.

** Changes in D2 configurations

- None

** Changes in Wifi

- None


==== r25909 ====

This is diva-r25909 corresponding to OpenSim 0.8.1 (post-fixes). This 
is a minor release containing mostly bug fixes.

** Changes in OpenSim since last release

For full release notes, see
http://opensimulator.org/wiki/0.8.0.1_Release


** Changes in D2 configurations

- None

** Changes in Wifi

- None

==== r25084 ====

This is diva-r25084 corresponding to OpenSim 0.8 (post-fixes). This 
is a minor release that includes some bug fixes.

IF YOU UPDATING FROM RELEASES PRIOR TO r22043, PLEASE SEE THE RELEASE
NOTES FOR THAT VERSION BELOW FOR IMPORTANT INFORMATION.

** Changes in OpenSim

- Fixed bug that prevented DataSnapshot (search) from working

- Fixed bug affecting attachments upon HG teleports

** Diva addons

- None

** Changes in D2 configurations

- None

** Changes in Wifi

- None


==== r24886 ====

This is diva-r24886 corresponding to OpenSim 0.8. This is a major
release that includes many new features and important changes.

IF YOU UPDATING FROM RELEASES PRIOR TO r22043, PLEASE SEE THE RELEASE
NOTES FOR THAT VERSION BELOW FOR IMPORTANT INFORMATION.

** Changes in OpenSim

See http://opensimulator.org/wiki/0.8_Release
Many new features and improvements!, most notably:

- Fully functioning profiles

- Variable-sized regions that support large spaces without borders. See
  http://opensimulator.org/wiki/Varregion
  (The default size for D2 is 512x512, but it can be changed. See link above)

- Bullet physics is now the default physics engine

- Hypergrid teleports can now be made over 16383 regions in X or Y directions 
 
** Diva addons

- No changes


** Changes in D2 configurations

- No more mega-regions for new installations, but existing mega-regions are 
  still supported

** Changes in Wifi

- None


==== r23797 ====

This is diva-r23797 corresponding to OpenSim 0.7.6. This is a major
release that includes unlimited groups, drastic performance
improvements, several important bug fixes and a few configuration changes.

IF YOU UPDATING FROM RELEASES PRIOR TO r22043, PLEASE SEE THE RELEASE
NOTES FOR THAT VERSION BELOW FOR IMPORTANT INFORMATION.

** Changes in OpenSim

See http://opensimulator.org/wiki/0.7.6_Release
Many new features and improvements!, most notably:

- Hypergrid long jump limitation (aka 4096 bug) has now been lifted,
  given that several 3rd party viewers have now fixed the bug on their
  end

- V2 Groups has now been fully integrated in core
  OpenSim. Configurations didn't change.

- Simulators should now be able to support 50+ avatars before showing
  lag. This number is higher (80+) if avatars are removed from the
  physics scene (e.g. sit)

- Support for materials
  (http://community.secondlife.com/t5/Featured-News/Get-the-New-Materials-Viewer-Today/ba-p/2051927) 

** Diva addons

- Diva Groups removed from addons, now in core OpenSim. 


** Changes in D2 configurations

None

** Changes in Wifi

- New feature: ability to upload IARs from Wifi. Grid operators can
  control who has permission to do that by setting the UserLevel in
  people's accounts. Minimum UserLevel for this feature is
  configurable

- Added Spanish translation. Thanks Sergio Melero Raya!

==== r22458 ====

This is diva-r22458 corresponding to OpenSim 0.7.5. This is a minor
release that includes unlimited groups and a few configuration fixes.

IF YOU UPDATING FROM RELEASES PRIOR TO r22043, PLEASE SEE THE RELEASE
NOTES FOR THAT VERSION BELOW FOR IMPORTANT INFORMATION.

** Changes in OpenSim

- bug fix in llHTTP Request
- bug fix in DataSnapshot for MISearch pictures

** Diva addons

- Diva Groups now with unlimited capabilities
- Required [Groups] section in MyWorld.ini with this world's
  address, like so:
[Groups]
    HomeURI = "http://yourdomain:9000"

** Changes in D2 configurations

- Configuration fix: use SuitcaseInventory
- Diva TOS enabled by default

** Changes in Wifi

- Switched AccountConfirmationRequired to true by default


==== r22043 ====

This is diva-r22043 corresponding to OpenSim 0.7.5. This is a major
release that includes several new addons. Your attention is required.

* If you are updating from recent releases, edit your MyWorld.ini:

 - Add a new configuration variable to [LoginService] section like so:
   SRV_GroupsServerURI = "http://yourdomain:9000"
   (It should be the exact same URL as the others)

 - Notice a new section at the bottom of MyWorld.ini.example for the
   new TOS module. You may want to copy that into your MyWorld.ini and
   reconfigure it. More information below.

* If you are updating from very old releases (r15402 and older),
  please run the Configure tool again.


** Changes in OpenSim

See http://opensimulator.org/wiki/0.7.5_Release
Many new features and improvements!, most notably:

- Hypergrid 2.0 in place. This means improved inventory security and
  improved configurability regarding access control. See
  http://metaverseink.com/blog/?p=459

- Suitcase folder is now under the main Inventory and can be accessed
  at all times in the viewer


** Diva addons

Starting in this release, D2 includes a number of addons distributed
only in binary form. These are:

- Groups addon. You can create groups, and set permissions and
  access controls based on those groups. This is a limited edition of
  Groups, distributed free of charge in D2.

  SEE https://github.com/diva/d2/wiki/Groups


- Offline IM addon. IMs sent to avatars who aren't logged in are now
  stored and presented to the avatars upon their login.

  SEE https://github.com/diva/d2/wiki/Offline-IM


- TOS (Terms of Service) addon. This addon is enabled by default. In
  the default configuration, it will present foreign users with a
  Terms of Service page that they need to accept. This will happen
  only once.

  SEE https://github.com/diva/d2/wiki/TOS


** Changes in D2 configurations

None

** Changes in Wifi

- Added a tos (terms of service) page for the TOS module

==== r20232 ====

This is diva-r20232 corresponding to OpenSim 0.7.4. With respect to
the previous 4 releases, this is a minor release, but with nice
improvements. It does not need any special reconfiguration. However,
with respect to releases prior to r15402, this is a major release and
requires further action.  See release notes below for older releases.

** Changes in OpenSim

See http://opensimulator.org/wiki/0.7.4_Release
Many new features and improvements!, most notably:

- Teleport reliability improved

- Added ability to establish friendships over the Hypergrid without
requiring both users to originate from the same OpenSimulator
installation.

- osGetGridGatekeeperURI() OSSL function added to return the Hypergrid
gatekeeper of the current grid (if there is one). This is the first
component of any Hypergrid address, for example the hg.osgrid.org:80
part of hg.osgrid.org:80:<region-name> 

- llRequestSimulatorData() will now return the final destination
region co-ordinates when used for a Hypergrid location. This allows
one to check that the final destination region is not more than the
allowed number of map tiles away for a successful teleport (currently
4095 map tiles or less). 

** Changes in D2 configurations

- Freshly created worlds are now flat by default

** Changes in Wifi

None


==== r18611 ====

** Changes in OpenSim

See http://opensimulator.org/wiki/0.7.3.1_Release
Many new features and improvements!, most notably:

- simple_build_permissions option added which allows owners and those
  on the access list of a parcel to build even when the general parcel 
  setting is to disallow object creation. 
- More region access controls added at the simulator level. 
  DisallowForeigners prevents Hypergrid visitors from visiting 
  regions. DisallowResidents allows only administrators and managers
  to visit regions. 
- DataSnapshot now sending the correct information about the Gatekeeper
  to the search service

** Changes in D2 configurations

- simple_build_permissions is enabled by default, meaning that you can
  protect your land from general building while allowing some people
  to build (add them to access list)
- Default terrain is now a flat land

** Changes in Wifi

None

==== r18222 ====

This is diva-r18222 corresponding to OpenSim 0.7.3-post-fixes. With
respect to the previous 2 releases (r16897 and r15592), this is a
major release but does not need any special attention. However, with
respect to releases prior to r15402, this is a major release and
requires further action.  See release notes below for older releases.

** Changes in OpenSim

See http://opensimulator.org/wiki/0.7.3_Release
Many new features and improvements!, most notably:

- You can now run OpenSim in 64 bit Windows machines without having to 
  launch it through OpenSim.32BitLaunch.exe.  This allows OpenSimulator 
  to address more than 2GB of memory of memory.
- Fixed a long-standing issue where scripted attachments were corrupted 
  for HG travellers
- Object sit targets have been adjusted to much better match those found 
  on the Linden grid. This is for long term compatibility purposes. 
  Unfortunately, it means that existing objects will need to have their 
  sit targets manually adjusted. The adjustment is <-0.1, 0, 0.118>.
- Many performance improvements
- Linksets now retaining their proper numbering when one set is linked 
  with another.
- More improvements on NPC

** Changes in D2 configurations

- NPC functions enabled by default. Permission set to ESTATE_OWNER, but
  if you want to be more relaxed, this can be overriden in MyWorld.ini.

** Changes in Wifi

None
==== r16897 ====

This is diva-r16897 corresponding to OpenSim 0.7.2-post-fixes. With
respect to the previous 2 releases (r15592 and r15402), this is a
major release but does not need any special attention. However, with
respect to releases prior to r15402, this is a major release and
requires further action.  See release notes below for older releases.

** Changes in OpenSim

See http://opensimulator.org/wiki/0.7.2_Release
Many new features and improvements!, most notably:

- You can now make friends across the hypergrid and IM them
- You can lure your HG friends into where you are
- You can give inventory to your HG friends by dragging inventory
  into their profile
- You can grab HG landmarks and later teleport to those places

** Changes in Wifi

- Added missing localization dlls (does not affect anyone with English
  language)

- Support for SQLite (not included in diva distribution)

- (This is not a new change, and it doesn't affect anyone that uses
  the Diva distro out of the box, but it may affect those who further
  customize it): If you are reusing an older configuration for Wifi,
  you may not be getting the most out of it. The latest Wifi releases
  use Diva.Data.MySql.dll as storage plugin, not
  OpenSim.Data.MySql.dll. On of the symptoms that you are using the
  "wrong" dll is the front page of Wifi showing 0 for all the
  stats. If that's the case, switch it to the Diva one under
  [DatabaseService]


==== r15592 ====

** Changes in OpenSim

See http://opensimulator.org/wiki/0.7.1.1_Release

Most noteworthy, gray tiles in the map have been fixed.

** Noteworthy configuration changes that affect your D2 installation

None.

NOTE: If you are upgrading from releases prior to r15402, YOU MUST RUN
Configure.exe ON YOUR NEW INSTALLATION. Answer the questions with the
exact same data that you have on your current
config-include/MyWorld.ini. If you had made additional changes to your
MyWorld.ini, make sure to port those after running Configure.exe

IF YOU ARE UPGRADING FROM A RELEASE PRIOR TO r13458, PLEASE READ THE
NOTES FOR r13458 CAREFULLY (below). 

** Changes in diva distro tools

None.

** Changes in Diva Wifi

See RELEASENOTESWIFI.txt.

==== r15402 ====

** Changes in OpenSim

See http://opensimulator.org/wiki/0.7.1_Release

** Noteworthy configuration changes that affect your D2 installation

- Configuration variables renaming under [LoginService]
- Additional variable under [GridService]

YOU MUST RUN Configure.exe ON YOUR NEW INSTALLATION. Answer the questions
with the exact same data that you have on your current 
config-include/MyWorld.ini. If you had made additional changes to your
MyWorld.ini, make sure to port those after running Configure.exe

** Changes in diva distro tools

- Configure tool now asks for the names of the DB schema and DB user

** Changes in Diva Wifi

See RELEASENOTESWIFI.txt for important information.

==== r13981 ====

** Changes in OpenSim

Minor bug fix in REST console.

** Changes in Diva Wifi

See RELEASENOTESWIFI.txt

** Changes in diva distro tools

None at this time.

==== r13861 ====

** Changes in OpenSim

See http://opensimulator.org/wiki/0.7.0.2_Release

** Changes in Diva Wifi

Many! See RELEASENOTESWIFI.txt for important information.

** Changes in diva distro tools

None at this time.

==== r13458 ====

PLEASE READ THESE NOTES CAREFULLY, especially if you are upgrading
from an older release.

This diva distro is based on the official 0.7 release, more
specifically on the 0.7-post-fixes branch. 
The exact GIT tag is shown on the name of the zip file.

This is a major release, with major changes across the board.

** Changes in OpenSim

See http://opensimulator.org/wiki/0.7_Release

** Changes in configuration variables

The changes are inumerous. IF YOU GOT THIS RELEASE THROUGH AN UPDATE,
YOU MUST RUN CONFIGURE AGAIN, so that the new configurations are put
in place. 

** Changes in Networking assumptions

This new release features HG 1.5, an improved version of the Hypergrid
architecture that includes a fair amount of security. 
(see http://opensimulator.org/wiki/0.7_Release#Hypergrid_changes)

This added security imposes a few more constraints on how to set up
your network *properly*. THESE CHANGES AFFECT PRIMARILY HOME NETWORKS,
whose routers often have NAT issues.

Due to these changes, it is advised that people provide domain names
instead of IP addresses in the configurations. In home networks, the
use of an IP address as the external host name of the world may
prevent you from either logging in or hypergriding out (this depends
heavily on your router).

For more information and useful advice, see doc/DNS.txt

** New diva distro addon: Wifi

This new release features an embedded Web application called
Wifi. Wifi handles user registrations to your world.

For more information, see doc/WIFI.txt

** What to expect on first run

If you are upgrading from an older release, your first run of this
release will exhibit unusual behaviors. All subsequent runs will be
normal. Here are some of the things that you should expect from the
first run:

- Startup will take more time. This is due to DB changes. The more
  assets your world has, the longer this takes. Don't interrupt that
  process.
- You will be asked a few questions from OpenSim itself. See 
  doc/OSQUESTIONS.txt
- On first login, avatar appearances will be gone. You need to wear
  them again.
- Home information will be gone. You need to set your home location
  again. 

** Troubleshooting

See http://opensimulator.org/wiki/0.7_Release#Troubleshooting

=== r12751 ===

This diva distro is based on the official 0.6.9 release. 
The exact GIT tag is shown on the name of the zip file.

This is a major release, with several bug fixes, and the last before 0.7.

There are no changes in the distribution tools, or in the configurations; 
only bug fixes in OpenSim.

** Bug fixes in OpenSim since previous version of this distro:

* Teleport offers implemented
* SQLite database adapter updated to work with Mono 2.6 and later (as well as Windows).  Unfortunately, this will currently not work with Mac and Mono 2.6 due to missing symbols in the SQLite library bundled with Mac OS X.  Mono 2.4 can still be used by switching to the legacy adaptor.
* "Allowed Users" and "Allowed Groups" estate functionality added.
* Added implementations of llCollisionFilter, llPassCollision, llLoopSoundSlave, llLookSoundMaster, llTriggerSoundLimited, llPointAt, llStopPointAt, llGetCenterOfMass, llGroundRepel, llSetVehicleFlags, llRemoveVehicleFlags, llSetInventoryPermMask.
* Improvements to LSL functions including llDialog, llGetPrimitiveParams. llSetPrimitiveParams, llGetStatus, llSetStatus, llSetDamage, llDie, llLookAt, llParcelMediaCommandList.
* Scripts now receive a stream of touch events if the mouse button is held down on their containing prim.
* Terrain collision implemented.
* OpenSim.Tools.Configger.exe added to dump configuration as an .ini, .xml or .sql file.
* Avatar eyes and hair no longer remain white in standalone mode.
* Improvements to undo, redo, land undo.
* Improvements to attachments rezzing.
* Support for HTTP texture fetching.
* Fix console problem on startup of Grid.UserServer.exe with no existing config.
* Stop existing avatars appearing in the T-pose to those who have just logged in.
* Improvements to ground standing.
* Clothing in the inventory library should now have the correct icons
* Gestures saved to OARs/IARs
* OARs now save region settings
* Fixes for terrain editing problems in megaregions
* Ground sitting fixed
* Viewers now receive UUID of the broadcasting prim when chat originates from a script.
* Attempting to rez no-copy objects on no-rez parcels no longer cause the item to vanish from inventory.
* Prim to prim collisions improved.
* Resizing the console window in Mono no longer results in an exception flood.
* Various performance improvements
* Various stability improvements


==== r12274 ====

** Bug fixes in OpenSim since previous version of this distro:

- Fixes Undo
- Fixes T-pose of others on login
- Feet stand on the ground instead of in the ground
- Almost all of LSL implemented
- Fixes prim to prim collision

==== r11766 ====

** Additions 

- There is a new addon module, LibraryModule, that allows sim 
  operators to add arbitrary new content in the OpenSim Library,
  so that it can be used by all users of the local world.
  The library content should be placed as .iar files under bin/Library.
  When the .iar file name partially matches the name of one of the
  existing library subfolders, the content is placed under those;
  top otherwise.

- There are two small .iar files included in the distribution,
  one with outfits and the other with a few objects. Operators can
  add more .iar files to bin/Library; they all add up.

** Changes in configuration preferences

- LibraryModule = true, to enable the library module. 

** Bug fixes in distribution

- the previous release didn't have the image module by mistake

** Bug fixes in OpenSim since previous version of this distro:

- map image is correctly set after hyperlinking
- multi-HG-TPs preserve the home information

==== r11651 ====

** Changes in configuration preferences

- AllowOSFunctions = true, with Moderate threat level. This will 
  enable the basic OS functions. This is a Diva preference, and,
  as with all preferences, can be overriden in MyWorld.ini

** Bug fixes in OpenSim since previous version of this distro:

- landing on prims works again
- several performance improvements and increased stability
- load oar now has a merge facility
  (see http://opensimulator.org/wiki/OpenSim_Archives)

==== r11491 ====

*** Release Notes ***

This diva distro is based on OpenSim 0.6.8-dev. The exact GIT tag
is shown on the name of the zip file.

** Changes in license

- Please read the license. It contains important information about Metaverse Ink services that are used by this distribution.

** Changes in distribution tools:

- none at this time


** Bug fixes in OpenSim since previous release:

- Editing attachments should work better, and HUDs should stay in place.


** Quirks:

- If you find that you don't land with PageDown, you'll have to hit
  the Home Key on your keyboard, or press Stop Flying.


** New-ish features in OpenSim:

- Additional console command to try to fix phantom objects after  
  importing from DB or OAR into the megaregion. Use
  # fix-phantoms

- It is now possible to stich together standalones in different 
  machines to form larger spaces. 
  For instructions on how to do that with this distro, see blog 
  post at http://www.metaverseink.com/blog/?p=22

